# Label

## Enums

```lua
e2d.label.haligns = {
    left, center, right
}

e2d.label.valigns = {
    top, center, bottom, baseline
}
```

## Properties

- `text: string, RW`
- `font: font_asset, RW`
- `tint: color32, RW`
- `halign: haligns, RW`
- `valign: valigns, RW`
- `leading: number, RW`
- `tracking: number, RW`
- `text_width: number, RW`
- `glyph_dilate: number, RW`
- `outline_width: number, RW`
- `outline_color: color32, RW`

